
require "./cli"

module AutoBoard
  class App
    def initialize()
      @cli = Cli.new
    end

    def parse_args(args : Array(String))
      config = @cli.parse_args(args)
      puts config

    rescue ex : OptionParser::MissingOption
      STDERR.puts @cli.parser
      STDERR.puts ""
      STDERR.puts "ERROR: #{ex.message}"
      exit 1
    end

    def run()
    end
  end
end
